Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SphereIntersection Class Reference

球交差 More...

`#include <SphereIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const Sphere &sphere, const Vector3 &point)
| 点交差
bool | intersect (const Sphere &sphere0, const Sphere &sphere1)
| 球交差
bool | intersect (Intersection *intersection, const Sphere &sphere0, const Sphere &sphere1)
| 球交差
bool | intersect (const Sphere &sphere, const Triangle &triangle)
| 三角交差
bool | intersect (Intersection *intersection, const Sphere &sphere, const Triangle &triangle)
| 三角交差

## Detailed Description

球交差

Definition at line 38 of file SphereIntersection.h.

## Member Function Documentation

bool Lamp::SphereIntersection::intersect | ( | Intersection * | intersection,
|  | const Sphere & | sphere,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  intersecion | 交差、返り値がtrueなら設定されている
  sphere | 球
  triangle | 三角
Returns: 交差していればtrue Definition at line 173 of file SphereIntersection.cpp. References Lamp::Vector3::crossProduct(), Lamp::Vector3::dotProduct(), Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), Lamp::Vector3::getSquaredLength(), Lamp::Triangle::getVertex(), Lamp::Vector3::isZero(), Lamp::Vector3::normalize(), Lamp::Intersection::set(), and Lamp::Vector3::setLength().

bool Lamp::SphereIntersection::intersect | ( | const Sphere & | sphere,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  sphere | 球
  triangle | 三角
Returns: 交差していればtrue Definition at line 77 of file SphereIntersection.cpp. References Lamp::Vector3::crossProduct(), Lamp::Vector3::dotProduct(), Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), Lamp::Vector3::getSquaredLength(), Lamp::Triangle::getVertex(), and Lamp::Vector3::normalize().

bool Lamp::SphereIntersection::intersect | ( | Intersection * | intersection,
|  | const Sphere & | sphere0,
|  | const Sphere & | sphere1
| ) | `[static]`

  | 球交差 Parameters:
  intersecion | 交差、返り値がtrueなら設定されている
  sphere0 | 球
  sphere1 | 球
Returns: 交差していればtrue Definition at line 55 of file SphereIntersection.cpp. References Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), Lamp::Vector3::getSquaredLength(), Lamp::Vector3::isZero(), Lamp::Vector3::normalize(), and Lamp::Intersection::set().

bool Lamp::SphereIntersection::intersect | ( | const Sphere & | sphere0,
|  | const Sphere & | sphere1
| ) | `[static]`

  | 球交差 Parameters:
  sphere0 | 球
  sphere1 | 球
Returns: 交差していればtrue Definition at line 45 of file SphereIntersection.cpp. References Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), and Lamp::Vector3::getSquaredLength().

bool Lamp::SphereIntersection::intersect | ( | const Sphere & | sphere,
|  | const Vector3 & | point
| ) | `[static]`

  | 点交差 Parameters:
  sphere | 球
  point | 点
Returns: 交差していればtrue Definition at line 37 of file SphereIntersection.cpp. References Assert.

The documentation for this class was generated from the following files:

- SphereIntersection.h
- SphereIntersection.cpp